<?php
/************************************************************/
/*                                                          */
/*   Adds support for WordPress background change           */
/*                                                          */
/************************************************************/

add_action( 'init', 'post_types_adding' );

function post_types_adding() {

    /************************************************************/
    /*                                                          */
    /*   SIDEBAR POST TYPE                                      */
    /*                                                          */
    /************************************************************/
    $labels = array(
        'name'               => __('Sidebars', 'tkingdom'),
        'singular_name'      => __('Sidebars', 'tkingdom'),
        'add_new'            => __('Add New', 'tkingdom'),
        'add_new_item'       => __('Add New Sidebar', 'tkingdom'),
        'edit_item'          => __('Edit Sidebar', 'tkingdom'),
        'new_item'           => __('New Sidebar', 'tkingdom'),
        'all_items'          => __('All Sidebars', 'tkingdom'),
        'view_item'          => __('View this Sidebar', 'tkingdom'),
        'search_items'       => __('Search Sidebars', 'tkingdom'),
        'not_found'          =>  __('No Sidebars', 'tkingdom'),
        'not_found_in_trash' => __('No Sidebars in Trash', 'tkingdom'),
        'parent_item_colon'  => '',
        'menu_name'          => __('Sidebars', 'tkingdom'),
    ); // end $labels
    $args = array(
        'labels'              => $labels,
        'public'              => false,
        'exclude_from_search' => true,
        'publicly_queryable'  => false,
        'show_ui'             => false,
        'show_in_nav_menus'   => false,
        'show_in_menu'        => false,
        'show_in_admin_bar'   => false,
        'query_var'           => true,
        'capability_type'     => 'post',
        'rewrite'             => array('slug' => 'sidebars'),
        'hierarchical'        => false,
        'menu_position'       => null,
        'supports'            => array('title', 'editor', 'thumbnail', 'excerpt', 'custom-post-format' ),
    ); // end $args
    register_post_type('sidebars',$args);

    /************************************************************/
    /*                                                          */
    /*   Remove rewrite rules and then recreate rewrite rules   */
    /*                                                          */
    /************************************************************/
    flush_rewrite_rules();
}

function add_custom_taxonomies() {

}
add_action( 'init', 'add_custom_taxonomies', 0 );
?>